Package dev.plex.util.item

# Class ItemBuilder

java.lang.Object
dev.plex.util.item.ItemBuilder

public class ItemBuilder extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.bukkit.inventory.ItemStack`
`itemStack`
`private final org.bukkit.inventory.meta.ItemMeta`
`meta`

## Constructor Summary

Constructors
Constructor
Description
`ItemBuilder(org.bukkit.Material material)`

## Method Summary

Modifier and Type
Method
Description
`ItemBuilder`
`addAttributeModifier(org.bukkit.attribute.Attribute attribute, org.bukkit.attribute.AttributeModifier modifier)`
`ItemBuilder`
`addEnchantment(org.bukkit.enchantments.Enchantment enchantment, int level)`
`ItemBuilder`
`addItemFlag(org.bukkit.inventory.ItemFlag... flags)`
`org.bukkit.inventory.ItemStack`
`build()`
`ItemBuilder`
`displayName(net.kyori.adventure.text.Component displayName)`
`ItemBuilder`
`lore(net.kyori.adventure.text.Component... lore)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### itemStack

private final org.bukkit.inventory.ItemStack itemStack

### meta

private final org.bukkit.inventory.meta.ItemMeta meta

## Constructor Details

### ItemBuilder

public ItemBuilder(org.bukkit.Material material)

## Method Details

### lore

public ItemBuilder lore(net.kyori.adventure.text.Component... lore)

### displayName

public ItemBuilder displayName(net.kyori.adventure.text.Component displayName)

### addEnchantment

public ItemBuilder addEnchantment(org.bukkit.enchantments.Enchantment enchantment, int level)

### addItemFlag

public ItemBuilder addItemFlag(org.bukkit.inventory.ItemFlag... flags)

### addAttributeModifier

public ItemBuilder addAttributeModifier(org.bukkit.attribute.Attribute attribute, org.bukkit.attribute.AttributeModifier modifier)

### build

public org.bukkit.inventory.ItemStack build()